package com.ivy.wallet.compose.helpers

import androidx.activity.ComponentActivity
import androidx.compose.ui.test.hasTestTag
import androidx.compose.ui.test.hasText
import androidx.compose.ui.test.junit4.AndroidComposeTestRule
import androidx.compose.ui.test.onNodeWithText
import androidx.compose.ui.test.performClick
import androidx.test.ext.junit.rules.ActivityScenarioRule

class ChooseCategoryModal<A : ComponentActivity>(
    private val composeTestRule: AndroidComposeTestRule<ActivityScenarioRule<A>, A>
) {

    fun selectCategory(categoryName: String) {
        composeTestRule.onNode(
            hasTestTag("choose_category_button").and(hasText(categoryName))
        ).performClick()
    }

    fun skip() {
        composeTestRule.onNodeWithText("Skip")
            .performClick()
    }
}